/* gwibber-0.2.vapi generated by valac-0.16 0.15.1, do not modify. */

namespace Gwibber {
	[CCode (cheader_filename = "gwibber.h")]
	public class Account : GLib.Object {
		public Account (string id);
		public string access_token { get; set; }
		public string color { get; set; }
		public string domain { get; set; }
		[Description (blurb = "This is id Gwibber uses to identify the account", id = "Gwibber account id")]
		public string id { get; set; }
		public string name { get; set; }
		public string password { get; set; }
		public string receive_enabled { get; set; }
		public string secret_key { get; set; }
		public string secret_token { get; set; }
		public string send_enabled { get; set; }
		public string service { get; set; }
		public string session_key { get; set; }
		public string site_display_name { get; set; }
		public string url_prefix { get; set; }
		public string user_id { get; set; }
		[Description (blurb = "This is the account's username assigned by the service", username = "username associated with an account")]
		public string username { get; set; }
	}
	[CCode (cheader_filename = "gwibber.h")]
	public class Accounts : GLib.Object {
		public Accounts ();
		public void account_created (string account_in);
		public void account_deleted (string account_in);
		public void account_updated (string account_in);
		public void accounts_available (bool is_up);
		public GLib.List<Gwibber.Account> list ();
		public Gwibber.Account lookup_by_id (string id);
		public string lookup_str_by_id (string id);
		public void send_enabled (string id);
		public signal void created (Gwibber.Account account);
		public signal void deleted (string id);
		public signal void is_available (bool is_up);
		public signal void updated (Gwibber.Account account);
	}
	[CCode (cheader_filename = "gwibber.h")]
	public class Connection : GLib.Object {
		public Connection ();
		public void conn_available (bool is_up);
		public bool is_connected ();
		public signal void connection_changed (bool is_online);
		public signal void is_available (bool is_up);
	}
	[CCode (cheader_filename = "gwibber.h")]
	public class Messages : GLib.Object {
		public Messages ();
		public string get_message (string mid);
		public void on_new_message (string change, string data);
		public signal void is_available (bool is_up);
		public signal void message (string change, string data);
	}
	[CCode (cheader_filename = "gwibber.h")]
	public class Searches : GLib.Object {
		public Searches ();
		public string create (string name, string query);
		public void @delete (string id);
		public GLib.List<Gee.HashMap?> list ();
		public Gee.HashMap<string?,string?> lookup (string id);
		public void search_created (string data);
		public void search_deleted (string data);
		public void search_updated (string data);
		public void searches_available (bool is_up);
		public signal void created (string id);
		public signal void deleted (string id);
		public signal void is_available (bool is_up);
		public signal void updated (string id);
	}
	[CCode (cheader_filename = "gwibber.h")]
	public class Service : GLib.Object {
		public Service ();
		public string? avatar_path (string url) throws GLib.Error;
		public GLib.HashTable? features ();
		public void follow (string account, string screen_name, bool follow) throws GLib.Error;
		public bool like (string id, string account);
		public void on_error (string error_str);
		public void on_loading_complete ();
		public void on_loading_started ();
		public void perform (string id) throws GLib.Error;
		public void quit ();
		public void refresh ();
		public bool retweet (string id, string account);
		public bool send_message (string? message, string? id, string? action, string[]? accounts);
		public void service_available (bool is_up);
		public GLib.HashTable? services ();
		public void start ();
		public void update_indicators (string? stream);
		public string version ();
		public signal void error (string id, string type, string message);
		public signal void is_available (bool is_up);
		public signal void loading_complete ();
		public signal void loading_started ();
	}
	[CCode (cheader_filename = "gwibber.h")]
	public class Streams : GLib.Object {
		public Streams ();
		public string create (string account, string name, string operation);
		public void @delete (string id);
		public GLib.List<Gee.HashMap?> list ();
		public Gee.HashMap<string?,string?> lookup (string id);
		public string messages (string stream, string account, int time, string? transient);
		public void stream_created (string data);
		public void stream_deleted (string data);
		public Dee.Model? stream_filter_model (Dee.Model model, string stream);
		public void stream_updated (string data);
		public void streams_available (bool is_up);
		public Dee.Model? streams_model (bool transients);
		public Dee.Model? transient_filter_model (Dee.Model model, string transient);
		public Gee.HashMap<string?,GLib.Value?> user_profile (string id);
		public Dee.Model stream_model { get; set; }
		public Dee.Model transient_model { get; set; }
		public signal void created (string id);
		public signal void deleted (string id);
		public signal void is_available (bool is_up);
		[Signal (action = true)]
		public virtual signal void updated (string id);
	}
	[CCode (cheader_filename = "gwibber.h")]
	public class URLShorten : GLib.Object {
		public URLShorten ();
		public string shorten (string url);
		public void url_available (bool is_up);
		public signal void is_available (bool is_up);
	}
	[CCode (cheader_filename = "gwibber.h")]
	public class Utils : GLib.Object {
		public Utils ();
		public string? avatar_path (string url);
		public string generate_time_string (uint t);
	}
	[CCode (cheader_filename = "gwibber.h")]
	public enum StreamModelColumn {
		ACCOUNTS,
		STREAM,
		TRANSIENT,
		SENDER,
		SENDER_NICK,
		FROM_ME,
		TIMESTAMP,
		MESSAGE,
		HTML,
		ICON_URI,
		URL,
		SOURCE,
		TIMESTRING,
		REPLY_NICK,
		REPLY_NAME,
		REPLY_URL,
		LIKES,
		RETWEET_NICK,
		RETWEET_NAME,
		RETWEET_ID,
		LINK_PICTURE,
		LINK_NAME,
		LINK_URL,
		LINK_DESC,
		LINK_CAPTION,
		LINK_ICON,
		IMG_URL,
		IMG_SRC,
		IMG_THUMB,
		IMG_NAME,
		VIDEO_PIC,
		VIDEO_SRC,
		VIDEO_URL,
		VIDEO_NAME,
		COMMENTS,
		RECIPIENT,
		RECIPIENT_NICK,
		RECIPIENT_ICON
	}
}
